Bug 131485

Summary: [CSS Regions] Hit testing doesn't work in video
Product: WebKit Reporter: Andrei Bucur <abucur>
Component: Layout and RenderingAssignee: Mihnea Ovidenie <mihnea>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, kondapallykalyan, mihnea, simon.fraser, WebkitBugTracker
Priority: P2 Keywords: AdobeTracked
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 84900    
Attachments:
Description Flags
Repro
none
Minimized repro
none
Another repro
none
Patch
none
Patch for landing none

Description Andrei Bucur 2014-04-10 01:43:41 PDT
Created attachment 229031 [details]
Repro

See the attached repro. It's not possible to hit the controls.
Comment 1 Andrei Bucur 2014-04-10 05:33:40 PDT
Created attachment 229044 [details]
Minimized repro

A better repro
Comment 2 Mihnea Ovidenie 2014-04-10 07:39:46 PDT
Created attachment 229050 [details]
Another repro
Comment 3 Mihnea Ovidenie 2014-04-12 02:12:40 PDT
Looks like we miss depth sorting information when we cross the boundary from region layer to flow thread layer.
Comment 4 Mihnea Ovidenie 2014-04-12 22:51:32 PDT
Created attachment 229218 [details]
Patch
Comment 5 Andrei Bucur 2014-04-13 22:44:33 PDT
Comment on attachment 229218 [details]
Patch

r=me
Comment 6 Mihnea Ovidenie 2014-04-13 23:58:28 PDT
Created attachment 229266 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2014-04-14 00:51:21 PDT
Comment on attachment 229266 [details]
Patch for landing

Clearing flags on attachment: 229266

Committed r167215: <http://trac.webkit.org/changeset/167215>
Comment 8 WebKit Commit Bot 2014-04-14 00:51:25 PDT
All reviewed patches have been landed.  Closing bug.